package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否启用(0.不启动，1.启动)枚举类
*
* @author zxfei
*/
public enum IsUseEnum {
    不启动(0, "不启动"),
    启动(1, "启动");
    private Integer value;
    private String desc;

    IsUseEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsUseEnum getByValue(Integer value) {
        for (IsUseEnum isUseEnum : IsUseEnum.values()) {
            if (isUseEnum.getValue() == value) {
                return isUseEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsUseEnum item : IsUseEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}